Updated on Sep 23, 2026

Modern jQuery combobox & dropdown

Use it in responsive webapps as a dropdown and scroller picker with desktop and mobile optimized look & feel

Advanced select component for single and multiple value selection. Provides a great alternative to the native dropdown with enhanced UX. Renders a scroller on touch and a dropdown on desktop. Use it in custom event add/edit forms or on any input, field and form.

With the built-in filtering and templating capabilities create custom pickers.

The select can be picked up as part of Scheduling & calendaring and the Complete licenses.

jQuery Select Select for jQuery and jQuery Mobile

Switch the layout between mobile & desktop
and see how it looks.

Select - Mobile & Desktop usage

Change demo

Use the select/combobox for both mobile and desktop or set it up responsively.

The main difference between the two rendering modes is how the picker is laid out. Set the touchUi option to false and the component shows up suitable for larger screens and pointer interaction while setting it to true renders it suitable for touch screens.

Use it on an existing form field, custom input, native select or use it on Mobiscroll form fields. You can also embed it directly into your page. When linked to an input, the component will be shown on focus or when someone clicks on the field. Alternatively, you can leave the input editable and show the component only on a button click.

Handle different screen sizes by setting it up responsively  Check out the responsive demo →

Select - Responsive behavior

Change demo

The select has a liquid layout, which means it nicely adapts to its surroundings. There are times however when you would like to set up the component responsively.

Use the responsive option to configure the picker and change the options based on the viewport width. There are five predefined breakpoints:

  • xsmall - min-width: 0px
  • small - min-width: 576px
  • medium - min-width: 768px
  • large - min-width: 992px
  • xlarge - min-width: 1200px
  • use custom for setting a custom breakpoint

It is a good idea to change the display or controls option to tailor the UX. This way you can have a bottom positioned picker on mobile, a popover anchored to the input on tablet and desktop display on large screens.

Change the viewport

Select - Understanding display modes

Change demo

The select/combobox has five built-in display modes that can be controlled through the display option:

  • top - modal that slides down from the top
  • bottom - modal that slides up from the bottom
  • center - modal that shows up in the middle with a pop animation
  • anchored - modal that shows up anchored to an input or any dom element
  • inline - embeddable picker that is rendered into the markup without its own modal

Use the touchUi option to switch between touch optimized mobile rendering and pointer optimized desktop rendering. It can be dynamically switched with the help of the responsive option.

The defaults change on a theme to theme basis. The ios theme comes with bottom on mobile and anchored on desktop while the material and windows themes have center on mobile and anchored on desktop.

Want to see how to set up responsiveness?  Check out the previous example →

Select - Populating the picker

Change demo

The select component takes care of rendering data in a scrollable and consumable way for the user. The date can be passed a couple of different ways:

  • Inline HTML, embedded in the markup - This is good if you only have a couple of static options.
  • With the data option - If you want to load model data this is the way to do it. This is the way to populate the select if you want to create a custom item template.
  • Remote data - Load it through the data option from a remote api/data source.

Select - Templating

Change demo

By default the select takes the item.text and item.value of the data array items and populates the select. Besides the basic text/value interpretation you can write custom render functions for any custom markup printed as a scrollable list.

With the help of the renderItem option you can write a function that returns the custom item markup. Any data field can be used for the template. You'll also want to make sure that the itemHeight is set accordingly.

Copy code
View code on GitHub

Select - Country Dropdown

Change demo

Use the select component as a country picker on mobile and desktop. You can add the dropdown to any input or use Mobiscroll input fields. If you don't want to make it a dropdown, you can embed the picker inline right into a page.

Search is enabled through the filter option.

In this example the data is loaded from a remote JSON in the following format: { "value": "FJ", "group": "F", "text": "Fiji" } and the flags are loaded from our server. For your implementation you should embed the list and flags into your own page.

For the image & text rendering use a custom item template.

Copy code
View code on GitHub

Select - Image & text

Change demo

An image & text value picker can be easily implemented by building a custom item template. Pass the items with its base properties, like text and value and all the custom properties needed to the data array.

Copy code
View code on GitHub

Select - Multiline select

Change demo

Sometimes, the items of the select can get very long and they won't fit a single line. For those cases you can use the custom item templating and itemHeight to solve the rendering problems.

Select - Single select

Change demo

Single value selection is the default behavior of the picker. You can explicitly enable it by setting the selectMultiple to false.

You can dynamically switch between single and multiple select.

Looking for multiple select?  Check out the next example →

Select - Multiple select

Change demo

Use it on mobile and desktop for listing different options with multiple select. It can be tied to an input, native select or rendered inline. Turn it on by setting selectMultiple to true.

As an alternative to the checkbox list it works great for category filtering... eg. e-commerce solutions.

Looking for single value selection?  Check out the previous example →

Select - Group options

Change demo

Enable group headers through the group property of the options or the optgroup of the native select.

Grouping works for both single and multiple select pickers.

Select - Filtering

Change demo

Enable filtering by setting the filter option to true. Filtering happens on the client side by default, however remote filtering can be implemented using the onFilter event.

Copy code
View code on GitHub

Select - Multi level hierarchy

Change demo

Multiple selects can be linked together as a hierarchy. A region > division > subdivision is a great example of such a hierarchy where each level is dynamically populated based on the selection of the previous level.

Copy code
View code on GitHub
mobiscroll.setOptions({
  locale:  ,
  theme: ' ',
  themeVariant: ' '
});

$(function () {
  var divisionInst;
  var subdivisionInst;
  var $region = $('#demo-hierarchical-pickers-region');
  var $division = $('#demo-hierarchical-pickers-division');
  var $subdivision = $('#demo-hierarchical-pickers-subdivision');
  var regions = [
    { value: 'reg-1', text: 'Northeast' },
    { value: 'reg-2', text: 'Midwest' },
    { value: 'reg-3', text: 'South' },
    { value: 'reg-4', text: 'West' },
  ];
  var divisions = {
    'reg-1': [
      { value: 'div-1', text: 'New England' },
      { value: 'div-2', text: 'Mid-Atlantic' },
    ],
    'reg-2': [
      { value: 'div-3', text: 'East North Central' },
      { value: 'div-4', text: 'West North Central' },
    ],
    'reg-3': [
      { value: 'div-5', text: 'South Atlantic' },
      { value: 'div-6', text: 'East South Central' },
      { value: 'div-7', text: 'West South Central' },
    ],
    'reg-4': [
      { value: 'div-8', text: 'Mountain' },
      { value: 'div-9', text: 'Pacific' },
    ],
  };
  var subdivisions = {
    'div-1': [
      { value: 'sub-1', text: 'Connecticut' },
      { value: 'sub-2', text: 'Maine' },
      { value: 'sub-3', text: 'Massachusetts' },
      { value: 'sub-4', text: 'New Hampshire' },
      { value: 'sub-5', text: 'Rhode Island' },
      { value: 'sub-6', text: 'Vermont' },
    ],
    'div-2': [
      { value: 'sub-7', text: 'New Jersey' },
      { value: 'sub-8', text: 'New York' },
      { value: 'sub-9', text: 'Pennsylvania' },
    ],
    'div-3': [
      { value: 'sub-10', text: 'Illinois' },
      { value: 'sub-11', text: 'Indiana' },
      { value: 'sub-12', text: 'Michigan' },
      { value: 'sub-13', text: 'Ohio' },
    ],
    'div-4': [
      { value: 'sub-14', text: 'Wisconsin' },
      { value: 'sub-15', text: 'Iowa' },
      { value: 'sub-16', text: 'Kansas' },
      { value: 'sub-17', text: 'Minnesota' },
      { value: 'sub-18', text: 'Missouri' },
      { value: 'sub-19', text: 'Nebraska' },
      { value: 'sub-20', text: 'North Dakota' },
      { value: 'sub-21', text: 'South Dakota' },
    ],
    'div-5': [
      { value: 'sub-22', text: 'Delaware' },
      { value: 'sub-23', text: 'Florida' },
      { value: 'sub-24', text: 'Georgia' },
      { value: 'sub-25', text: 'Maryland' },
      { value: 'sub-26', text: 'North Carolina' },
      { value: 'sub-27', text: 'South Carolina' },
      { value: 'sub-28', text: 'Virginia' },
      { value: 'sub-29', text: 'District of Columbia' },
      { value: 'sub-30', text: 'West Virginia' },
    ],
    'div-6': [
      { value: 'sub-31', text: 'Alabama' },
      { value: 'sub-32', text: 'Kentucky' },
      { value: 'sub-33', text: 'Mississippi' },
      { value: 'sub-34', text: 'Tennessee' },
    ],
    'div-7': [
      { value: 'sub-35', text: 'Arkansas' },
      { value: 'sub-36', text: 'Louisiana' },
      { value: 'sub-37', text: 'Oklahoma' },
      { value: 'sub-38', text: 'Texas' },
    ],
    'div-8': [
      { value: 'sub-39', text: 'Arizona' },
      { value: 'sub-40', text: 'Colorado' },
      { value: 'sub-41', text: 'Idaho' },
      { value: 'sub-42', text: 'Montana' },
      { value: 'sub-43', text: 'Nevada' },
      { value: 'sub-44', text: 'New Mexico' },
      { value: 'sub-45', text: 'Utah' },
      { value: 'sub-46', text: 'Wyoming' },
    ],
    'div-9': [
      { value: 'sub-47', text: 'Alaska' },
      { value: 'sub-48', text: 'California' },
      { value: 'sub-49', text: 'Hawaii' },
      { value: 'sub-50', text: 'Oregon' },
      { value: 'sub-51', text: 'Washington' },
    ],
  };

  function getData(region, division) {
    var arr;

    if (division) {
      arr = subdivisions[division];
    } else if (region) {
      arr = divisions[region];
    } else {
      arr = regions;
    }

    return arr;
  }

  $region.mobiscroll().select({
    touchUi: false,
    data: getData(),
    onChange: function (args) {
      divisionInst.setOptions({ data: getData(args.value), disabled: false });
      subdivisionInst.setOptions({ disabled: true });
      mobiscroll.getInst($division[0], true).setOptions({ disabled: false });
      mobiscroll.getInst($subdivision[0], true).setOptions({ disabled: true });
    },
  });

  divisionInst = $division
    .mobiscroll()
    .select({
      touchUi: false,
      disabled: true,
      onChange: function (args) {
        if (args.value) {
          subdivisionInst.setOptions({ data: getData(null, args.value), disabled: false });
          mobiscroll.getInst($subdivision[0], true).setOptions({ disabled: false });
        } else {
          subdivisionInst.setOptions({ data: [], disabled: true });
          mobiscroll.getInst($subdivision[0], true).setOptions({ disabled: true });
        }
      },
    })
    .mobiscroll('getInst');

  subdivisionInst = $subdivision
    .mobiscroll()
    .select({
      touchUi: false,
      disabled: true,
    })
    .mobiscroll('getInst');
});
  
<div class="demo-inline demo-max-width-400" mbsc-page>    <div class="mbsc-grid mbsc-grid-fixed mbsc-no-padding">
        <div class="mbsc-row">
            <div class="mbsc-col-sm-12">
                <div class="mbsc-form-group-inset">
                    <label>
                        Region
                        <input mbsc-input id="demo-hierarchical-pickers-region" data-dropdown="true" placeholder="Please select..." />
                    </label>
                    <label>
                        Division
                        <input mbsc-input id="demo-hierarchical-pickers-division" data-dropdown="true" placeholder="Please select..." disabled />
                    </label>
                    <label>
                        Subdivision
                        <input mbsc-input id="demo-hierarchical-pickers-subdivision" data-dropdown="true" placeholder="Please select..." disabled />
                    </label>
                </div>
            </div>
        </div>
    </div>
</div>  

Select - Setting values

Change demo

Values can change in a couple of different ways: through defaults, interacting with the UI or programmatically. The select defaults to null (nothing is selected), which can be easily overridden with the defaultSelection option. The values are set by interacting with the component and making a selection or it can be done programmatically. Use the buttons option for showing/hiding set, cancel or add custom buttons.

Select - Disabled values

Change demo

Enforcing validation is essential to a great UX. It supports the following: - Disabled attribute - In case you are passing the data through markup: <option value="chi" disabled>Chicago</option> - Disabled property - In case you are using the data option: data: [ ... { text: 'Chicago', value: 'chi', disabled: true }]

Having invalids set up correctly not just enhances the UX, but improves performance.

Select - Theming capabilities

Change demo

The look and feel of the select can be deeply customized. There are four levels of customization:

  • Base themes: Choose between iOS, Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Select - Event hooks

Change demo

The select ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

While users interact with the UI events like onChange, onSet, onInit ... will be triggered.

For a complete list of events go to the documentation  See available lifecycle events →

Select - Localization

Change demo

All components are fully localized. In case of the select this covers button copy, rtl and more. You can see how each example shows up by clicking on the small flag icon or checking the examples below.

All settings can be manually overridden  See what options the localization impacts →

Select - RTL support

Change demo

RTL support is built in and can be explicitly controlled through the rtl option. If not set, it is inherited from the locale settings.

Explore the different locales  Check out this example →

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Get started with Mobiscroll for Angular

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for React

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for Javascript

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for Vue

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for jQuery

Give the components a try in a starter app or see how they look in your project.

Already have an account?
Get started with Mobiscroll for Angular

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for React

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for Javascript

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for jQuery

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for Vue

Give the components a try locally and see how they look in your project.

Already have an account?
Simple two minute install guide for jQuery
Step 1.
Copy resources
Step 2.
Add references
Step 3.
Copy the code
Step 4.
Refresh browser
Copy the downloaded JS and CSS folder into your project

Extract the downloaded zip (download again) and grab the two folders. Make sure to place it where it can be reached from your html file.

Alternatively you can run the example using our demo app.

file-copy-arrows

Or you can just simply try and play with the examples right from the folder you just unpacked. You don't find the downloaded example? Download it again.

Include the mobiscroll CSS and JS resources in your files

Add this script before the closing </head> tag of your file. Make sure to have jQuery loaded before this.

Copy code <link href="css/mobiscroll.jquery.min.css" rel="stylesheet" />
<script src="js/mobiscroll.jquery.min.js"></script>

Make sure to have the CSS and JS files copied over as explained in Step 1.

Copy the code into your app

Grab the relevant parts and drop them into your JS, HTML and CSS files.

Copy JS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Reload your application in your favorite browser

arrow-browser-reload@2x

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide for Javascript
Step 1.
Copy resources
Step 2.
Add references
Step 3.
Copy the code
Step 4.
Refresh browser
Copy the downloaded JS and CSS folders into your project

Extract the downloaded zip (download again) and grab the two folders. Make sure to place it where it can be reached from your html file.

Alternatively you can run the example using our demo app.

file-copy-arrows

Or you can just simply try and play with the examples right from the folder you just unpacked. You don't find the downloaded example? Download it again.

Include the mobiscroll CSS and JS resources in your files

Add this script before the closing </head> tag of your file

Copy code <link href="css/mobiscroll.javascript.min.css" rel="stylesheet" />
<script src="js/mobiscroll.javascript.min.js"></script>

Make sure to have the CSS and JS files copied over as explained in Step 1.

Copy the code into your app

Grab the relevant parts and drop them into your JS, HTML and CSS files.

Copy JS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Reload your application in your favorite browser

arrow-browser-reload@2x

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your React project

Run the following command in the root folder of your React project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config react

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your JSX and CSS files.

Copy JSX
Copy TSX
Copy CSS
Take a look at what you've accomplished

Run $ npm start in the root folder of your app

Copy command $ npm start

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your Angular project

Run the following command in the root folder of your Angular project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config angular

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your Component and Template files. For quick testing copy the css to into your project's style.css or style.scss.

Copy TS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Run $ ng serve in the root folder of your app

Copy command $ ng serve

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your Vue project

Run the following command in the root folder of your Vue project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config vue

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your Vue page.

Copy
Copy
Take a look at what you've accomplished

Run $ npm run dev in the root folder of your app

Copy command $ npm run dev

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Demos
Theme Select
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Updated on Sep 23, 2026

Versatile Vue select component

Use it in responsive webapps and Ionic Vue projects with desktop and mobile optimized look & feel

Advanced select component for single and multiple value selection. Provides a great alternative to the native dropdown with enhanced UX. Renders a scroller on touch and a dropdown on desktop. Use it in custom event add/edit forms or on any input, field and form.

With the built-in filtering and templating capabilities create custom pickers.

The select can be picked up as part of Scheduling & calendaring and the Complete licenses.

Vue Select Select for Vue JS

Switch the layout between mobile & desktop
and see how it looks.

Select - Mobile & Desktop usage

Change demo

Use the select/combobox for both mobile and desktop or set it up responsively.

The main difference between the two rendering modes is how the picker is laid out. Set the touchUi option to false and the component shows up suitable for larger screens and pointer interaction while setting it to true renders it suitable for touch screens.

Use it on an existing form field, custom input, native select or use it on Mobiscroll form fields. You can also embed it directly into your page. When linked to an input, the component will be shown on focus or when someone clicks on the field. Alternatively, you can leave the input editable and show the component only on a button click.

Handle different screen sizes by setting it up responsively  Check out the responsive demo →

Select - Responsive behavior

Change demo

The select has a liquid layout, which means it nicely adapts to its surroundings. There are times however when you would like to set up the component responsively.

Use the responsive option to configure the picker and change the options based on the viewport width. There are five predefined breakpoints:

  • xsmall - min-width: 0px
  • small - min-width: 576px
  • medium - min-width: 768px
  • large - min-width: 992px
  • xlarge - min-width: 1200px
  • use custom for setting a custom breakpoint

It is a good idea to change the display or controls option to tailor the UX. This way you can have a bottom positioned picker on mobile, a popover anchored to the input on tablet and desktop display on large screens.

Change the viewport

Select - Understanding display modes

Change demo

The select/combobox has five built-in display modes that can be controlled through the display option:

  • top - modal that slides down from the top
  • bottom - modal that slides up from the bottom
  • center - modal that shows up in the middle with a pop animation
  • anchored - modal that shows up anchored to an input or any dom element
  • inline - embeddable picker that is rendered into the markup without its own modal

Use the touchUi option to switch between touch optimized mobile rendering and pointer optimized desktop rendering. It can be dynamically switched with the help of the responsive option.

The defaults change on a theme to theme basis. The ios theme comes with bottom on mobile and anchored on desktop while the material and windows themes have center on mobile and anchored on desktop.

Want to see how to set up responsiveness?  Check out the previous example →

Select - Populating the picker

Change demo

The select component takes care of rendering data in a scrollable and consumable way for the user. The date can be passed a couple of different ways:

  • Inline HTML, embedded in the markup - This is good if you only have a couple of static options.
  • With the data option - If you want to load model data this is the way to do it. This is the way to populate the select if you want to create a custom item template.
  • Remote data - Load it through the data option from a remote api/data source.

Select - Templating

Change demo

By default the select takes the item.text and item.value of the data array items and populates the select. Besides the basic text/value interpretation you can write custom templates to render any custom markup as a scrollable list.

With the help of the item template you can write a custom template where any data field can be used. You'll also want to make sure that the itemHeight is set accordingly.

Select - Country Dropdown

Change demo

Use the select component as a country picker on mobile and desktop. You can add the dropdown to any input or use Mobiscroll input fields. If you don't want to make it a dropdown, you can embed the picker inline right into a page.

Search is enabled through the filter option.

In this example the data is loaded from a remote JSON in the following format: { "value": "FJ", "group": "F", "text": "Fiji" } and the flags are loaded from our server. For your implementation you should embed the list and flags into your own page.

For the image & text rendering use a custom item template.

Select - Image & text

Change demo

An image & text value picker can be easily implemented by building a custom item template. Pass the items with its base properties, like text and value and all the custom properties needed to the data array.

Select - Multiline select

Change demo

Sometimes, the items of the select can get very long and they won't fit a single line. For those cases you can use the custom item templating and itemHeight to solve the rendering problems.

Select - Single select

Change demo

Single value selection is the default behavior of the picker. You can explicitly enable it by setting the selectMultiple to false.

You can dynamically switch between single and multiple select.

Looking for multiple select?  Check out the next example →

Select - Multiple select

Change demo

Use it on mobile and desktop for listing different options with multiple select. It can be tied to an input, native select or rendered inline. Turn it on by setting selectMultiple to true.

As an alternative to the checkbox list it works great for category filtering... eg. e-commerce solutions.

Looking for single value selection?  Check out the previous example →

Select - Group options

Change demo

Enable group headers through the group property of the options or the optgroup of the native select.

Grouping works for both single and multiple select pickers.

Select - Filtering

Change demo

Enable filtering by setting the filter option to true. Filtering happens on the client side by default, however remote filtering can be implemented using the onFilter event.

Select - Multi level hierarchy

Change demo

Multiple selects can be linked together as a hierarchy. A region > division > subdivision is a great example of such a hierarchy where each level is dynamically populated based on the selection of the previous level.

Copy code
<script setup>
import { MbscPage, MbscSelect, setOptions  } from '@mobiscroll/vue'
import { ref } from 'vue'

setOptions({
  locale:  ,
  theme: ' ',
  themeVariant: ' '
})

const regions = [
  { value: 'reg-1', text: 'Northeast' },
  { value: 'reg-2', text: 'Midwest' },
  { value: 'reg-3', text: 'South' },
  { value: 'reg-4', text: 'West' }
]
const divisions = {
  'reg-1': [
    { value: 'div-1', text: 'New England' },
    { value: 'div-2', text: 'Mid-Atlantic' }
  ],
  'reg-2': [
    { value: 'div-3', text: 'East North Central' },
    { value: 'div-4', text: 'West North Central' }
  ],
  'reg-3': [
    { value: 'div-5', text: 'South Atlantic' },
    { value: 'div-6', text: 'East South Central' },
    { value: 'div-7', text: 'West South Central' }
  ],
  'reg-4': [
    { value: 'div-8', text: 'Mountain' },
    { value: 'div-9', text: 'Pacific' }
  ]
}
const subdivisions = {
  'div-1': [
    { value: 'sub-1', text: 'Connecticut' },
    { value: 'sub-2', text: 'Maine' },
    { value: 'sub-3', text: 'Massachusetts' },
    { value: 'sub-4', text: 'New Hampshire' },
    { value: 'sub-5', text: 'Rhode Island' },
    { value: 'sub-6', text: 'Vermont' }
  ],
  'div-2': [
    { value: 'sub-7', text: 'New Jersey' },
    { value: 'sub-8', text: 'New York' },
    { value: 'sub-9', text: 'Pennsylvania' }
  ],
  'div-3': [
    { value: 'sub-10', text: 'Illinois' },
    { value: 'sub-11', text: 'Indiana' },
    { value: 'sub-12', text: 'Michigan' },
    { value: 'sub-13', text: 'Ohio' }
  ],
  'div-4': [
    { value: 'sub-14', text: 'Wisconsin' },
    { value: 'sub-15', text: 'Iowa' },
    { value: 'sub-16', text: 'Kansas' },
    { value: 'sub-17', text: 'Minnesota' },
    { value: 'sub-18', text: 'Missouri' },
    { value: 'sub-19', text: 'Nebraska' },
    { value: 'sub-20', text: 'North Dakota' },
    { value: 'sub-21', text: 'South Dakota' }
  ],
  'div-5': [
    { value: 'sub-22', text: 'Delaware' },
    { value: 'sub-23', text: 'Florida' },
    { value: 'sub-24', text: 'Georgia' },
    { value: 'sub-25', text: 'Maryland' },
    { value: 'sub-26', text: 'North Carolina' },
    { value: 'sub-27', text: 'South Carolina' },
    { value: 'sub-28', text: 'Virginia' },
    { value: 'sub-29', text: 'District of Columbia' },
    { value: 'sub-30', text: 'West Virginia' }
  ],
  'div-6': [
    { value: 'sub-31', text: 'Alabama' },
    { value: 'sub-32', text: 'Kentucky' },
    { value: 'sub-33', text: 'Mississippi' },
    { value: 'sub-34', text: 'Tennessee' }
  ],
  'div-7': [
    { value: 'sub-35', text: 'Arkansas' },
    { value: 'sub-36', text: 'Louisiana' },
    { value: 'sub-37', text: 'Oklahoma' },
    { value: 'sub-38', text: 'Texas' }
  ],
  'div-8': [
    { value: 'sub-39', text: 'Arizona' },
    { value: 'sub-40', text: 'Colorado' },
    { value: 'sub-41', text: 'Idaho' },
    { value: 'sub-42', text: 'Montana' },
    { value: 'sub-43', text: 'Nevada' },
    { value: 'sub-44', text: 'New Mexico' },
    { value: 'sub-45', text: 'Utah' },
    { value: 'sub-46', text: 'Wyoming' }
  ],
  'div-9': [
    { value: 'sub-47', text: 'Alaska' },
    { value: 'sub-48', text: 'California' },
    { value: 'sub-49', text: 'Hawaii' },
    { value: 'sub-50', text: 'Oregon' },
    { value: 'sub-51', text: 'Washington' }
  ]
}

const divDisabled = ref(true)
const subDisabled = ref(true)
const divData = ref([])
const subData = ref([])

function getData(region, division) {
  let arr = []

  if (division) {
    arr = subdivisions[division]
  } else if (region) {
    arr = divisions[region]
  } else {
    arr = regions
  }

  return arr
}

function regChange(event) {
  divData.value = getData(event.value, null)
  divDisabled.value = false
  subDisabled.value = true
}

function divChange(event) {
  const val = event.value
  if (val) {
    subData.value = getData(null, event.value)
    subDisabled.value = false
  } else {
    subData.value = []
    subDisabled.value = true
  }
}
</script>

<template>
  <MbscPage>
    <div class="mbsc-grid mbsc-grid-fixed mbsc-no-padding">
      <div class="mbsc-row">
        <div class="mbsc-col-sm-12">
          <div class="mbsc-form-group-inset">
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              label="Region"
              placeholder="Please select..."
              @change="regChange"
            />
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              :disabled="divDisabled"
              label="Division"
              placeholder="Please select..."
              @change="divChange"
            />
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              :disabled="subDisabled"
              label="Subivision"
              placeholder="Please select..."
            />
          </div>
        </div>
      </div>
    </div>
  </MbscPage>
</template>

  <MbscPage>
    <div class="mbsc-grid mbsc-grid-fixed mbsc-no-padding">
      <div class="mbsc-row">
        <div class="mbsc-col-sm-12">
          <div class="mbsc-form-group-inset">
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              label="Region"
              placeholder="Please select..."
              @change="regChange"
            />
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              :disabled="divDisabled"
              label="Division"
              placeholder="Please select..."
              @change="divChange"
            />
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              :disabled="subDisabled"
              label="Subivision"
              placeholder="Please select..."
            />
          </div>
        </div>
      </div>
    </div>
  </MbscPage>
<script setup lang="ts">
import { MbscPage, MbscSelect, setOptions  } from '@mobiscroll/vue'
import { ref } from 'vue'

setOptions({
  locale:  ,
  theme: ' ',
  themeVariant: ' '
})

const regions: any = [
  { value: 'reg-1', text: 'Northeast' },
  { value: 'reg-2', text: 'Midwest' },
  { value: 'reg-3', text: 'South' },
  { value: 'reg-4', text: 'West' }
]
const divisions: any = {
  'reg-1': [
    { value: 'div-1', text: 'New England' },
    { value: 'div-2', text: 'Mid-Atlantic' }
  ],
  'reg-2': [
    { value: 'div-3', text: 'East North Central' },
    { value: 'div-4', text: 'West North Central' }
  ],
  'reg-3': [
    { value: 'div-5', text: 'South Atlantic' },
    { value: 'div-6', text: 'East South Central' },
    { value: 'div-7', text: 'West South Central' }
  ],
  'reg-4': [
    { value: 'div-8', text: 'Mountain' },
    { value: 'div-9', text: 'Pacific' }
  ]
}
const subdivisions: any = {
  'div-1': [
    { value: 'sub-1', text: 'Connecticut' },
    { value: 'sub-2', text: 'Maine' },
    { value: 'sub-3', text: 'Massachusetts' },
    { value: 'sub-4', text: 'New Hampshire' },
    { value: 'sub-5', text: 'Rhode Island' },
    { value: 'sub-6', text: 'Vermont' }
  ],
  'div-2': [
    { value: 'sub-7', text: 'New Jersey' },
    { value: 'sub-8', text: 'New York' },
    { value: 'sub-9', text: 'Pennsylvania' }
  ],
  'div-3': [
    { value: 'sub-10', text: 'Illinois' },
    { value: 'sub-11', text: 'Indiana' },
    { value: 'sub-12', text: 'Michigan' },
    { value: 'sub-13', text: 'Ohio' }
  ],
  'div-4': [
    { value: 'sub-14', text: 'Wisconsin' },
    { value: 'sub-15', text: 'Iowa' },
    { value: 'sub-16', text: 'Kansas' },
    { value: 'sub-17', text: 'Minnesota' },
    { value: 'sub-18', text: 'Missouri' },
    { value: 'sub-19', text: 'Nebraska' },
    { value: 'sub-20', text: 'North Dakota' },
    { value: 'sub-21', text: 'South Dakota' }
  ],
  'div-5': [
    { value: 'sub-22', text: 'Delaware' },
    { value: 'sub-23', text: 'Florida' },
    { value: 'sub-24', text: 'Georgia' },
    { value: 'sub-25', text: 'Maryland' },
    { value: 'sub-26', text: 'North Carolina' },
    { value: 'sub-27', text: 'South Carolina' },
    { value: 'sub-28', text: 'Virginia' },
    { value: 'sub-29', text: 'District of Columbia' },
    { value: 'sub-30', text: 'West Virginia' }
  ],
  'div-6': [
    { value: 'sub-31', text: 'Alabama' },
    { value: 'sub-32', text: 'Kentucky' },
    { value: 'sub-33', text: 'Mississippi' },
    { value: 'sub-34', text: 'Tennessee' }
  ],
  'div-7': [
    { value: 'sub-35', text: 'Arkansas' },
    { value: 'sub-36', text: 'Louisiana' },
    { value: 'sub-37', text: 'Oklahoma' },
    { value: 'sub-38', text: 'Texas' }
  ],
  'div-8': [
    { value: 'sub-39', text: 'Arizona' },
    { value: 'sub-40', text: 'Colorado' },
    { value: 'sub-41', text: 'Idaho' },
    { value: 'sub-42', text: 'Montana' },
    { value: 'sub-43', text: 'Nevada' },
    { value: 'sub-44', text: 'New Mexico' },
    { value: 'sub-45', text: 'Utah' },
    { value: 'sub-46', text: 'Wyoming' }
  ],
  'div-9': [
    { value: 'sub-47', text: 'Alaska' },
    { value: 'sub-48', text: 'California' },
    { value: 'sub-49', text: 'Hawaii' },
    { value: 'sub-50', text: 'Oregon' },
    { value: 'sub-51', text: 'Washington' }
  ]
}

const divDisabled = ref<boolean>(true)
const subDisabled = ref<boolean>(true)
const divData = ref([])
const subData = ref([])

function getData(region: any, division: any) {
  let arr = []

  if (division) {
    arr = subdivisions[division]
  } else if (region) {
    arr = divisions[region]
  } else {
    arr = regions
  }

  return arr
}

function regChange(event: any) {
  divData.value = getData(event.value, null)
  divDisabled.value = false
  subDisabled.value = true
}

function divChange(event: any) {
  const val = event.value
  if (val) {
    subData.value = getData(null, event.value)
    subDisabled.value = false
  } else {
    subData.value = []
    subDisabled.value = true
  }
}
</script>

<template>
  <MbscPage>
    <div class="mbsc-grid mbsc-grid-fixed mbsc-no-padding">
      <div class="mbsc-row">
        <div class="mbsc-col-sm-12">
          <div class="mbsc-form-group-inset">
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              label="Region"
              placeholder="Please select..."
              @change="regChange"
            />
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              :disabled="divDisabled"
              label="Division"
              placeholder="Please select..."
              @change="divChange"
            />
            <MbscSelect
              :data="getData(null, null)"
              :touchUi="false"
              :disabled="subDisabled"
              label="Subivision"
              placeholder="Please select..."
            />
          </div>
        </div>
      </div>
    </div>
  </MbscPage>
</template>

Select - Setting values

Change demo

Values can change in a couple of different ways: through defaults, interacting with the UI or programmatically. The select defaults to null (nothing is selected), which can be easily overridden with the defaultSelection option. The values are set by interacting with the component and making a selection or it can be done programmatically. Use the buttons option for showing/hiding set, cancel or add custom buttons.

Select - Disabled values

Change demo

Enforcing validation is essential to a great UX. It supports the following:

Having invalids set up correctly not just enhances the UX, but improves performance.

Select - Theming capabilities

Change demo

The look and feel of the select can be deeply customized. There are four levels of customization:

  • Base themes: Choose between iOS, Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Select - Event hooks

Change demo

The select ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

While users interact with the UI events like change, set, init ... will be triggered.

For a complete list of events go to the documentation  See available lifecycle events →

Select - Localization

Change demo

All components are fully localized. In case of the select this covers button copy, rtl and more. You can see how each example shows up by clicking on the small flag icon or checking the examples below.

All settings can be manually overridden  See what options the localization impacts →

Select - RTL support

Change demo

RTL support is built in and can be explicitly controlled through the rtl option. If not set, it is inherited from the locale settings.

Explore the different locales  Check out this example →

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Get started with Mobiscroll for Angular

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for React

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for Javascript

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for Vue

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for jQuery

Give the components a try in a starter app or see how they look in your project.

Already have an account?
Get started with Mobiscroll for Angular

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for React

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for Javascript

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for jQuery

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for Vue

Give the components a try locally and see how they look in your project.

Already have an account?
Simple two minute install guide for jQuery
Step 1.
Copy resources
Step 2.
Add references
Step 3.
Copy the code
Step 4.
Refresh browser
Copy the downloaded JS and CSS folder into your project

Extract the downloaded zip (download again) and grab the two folders. Make sure to place it where it can be reached from your html file.

Alternatively you can run the example using our demo app.

file-copy-arrows

Or you can just simply try and play with the examples right from the folder you just unpacked. You don't find the downloaded example? Download it again.

Include the mobiscroll CSS and JS resources in your files

Add this script before the closing </head> tag of your file. Make sure to have jQuery loaded before this.

Copy code <link href="css/mobiscroll.jquery.min.css" rel="stylesheet" />
<script src="js/mobiscroll.jquery.min.js"></script>

Make sure to have the CSS and JS files copied over as explained in Step 1.

Copy the code into your app

Grab the relevant parts and drop them into your JS, HTML and CSS files.

Copy JS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Reload your application in your favorite browser

arrow-browser-reload@2x

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide for Javascript
Step 1.
Copy resources
Step 2.
Add references
Step 3.
Copy the code
Step 4.
Refresh browser
Copy the downloaded JS and CSS folders into your project

Extract the downloaded zip (download again) and grab the two folders. Make sure to place it where it can be reached from your html file.

Alternatively you can run the example using our demo app.

file-copy-arrows

Or you can just simply try and play with the examples right from the folder you just unpacked. You don't find the downloaded example? Download it again.

Include the mobiscroll CSS and JS resources in your files

Add this script before the closing </head> tag of your file

Copy code <link href="css/mobiscroll.javascript.min.css" rel="stylesheet" />
<script src="js/mobiscroll.javascript.min.js"></script>

Make sure to have the CSS and JS files copied over as explained in Step 1.

Copy the code into your app

Grab the relevant parts and drop them into your JS, HTML and CSS files.

Copy JS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Reload your application in your favorite browser

arrow-browser-reload@2x

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your React project

Run the following command in the root folder of your React project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config react

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your JSX and CSS files.

Copy JSX
Copy TSX
Copy CSS
Take a look at what you've accomplished

Run $ npm start in the root folder of your app

Copy command $ npm start

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your Angular project

Run the following command in the root folder of your Angular project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config angular

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your Component and Template files. For quick testing copy the css to into your project's style.css or style.scss.

Copy TS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Run $ ng serve in the root folder of your app

Copy command $ ng serve

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your Vue project

Run the following command in the root folder of your Vue project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config vue

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your Vue page.

Copy
Copy
Take a look at what you've accomplished

Run $ npm run dev in the root folder of your app

Copy command $ npm run dev

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Demos
Theme Select
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Updated on Sep 23, 2026

Versatile React select component

Use it in responsive webapps and Ionic React projects with desktop and mobile optimized look & feel

Advanced select component for single and multiple value selection. Provides a great alternative to the native dropdown with enhanced UX. Renders a scroller on touch and a dropdown on desktop. Use it in custom event add/edit forms or on any input, field and form.

With the built-in filtering and templating capabilities create custom pickers.

The select can be picked up as part of Scheduling & calendaring and the Complete licenses.

React Select Select for React

Switch the layout between mobile & desktop
and see how it looks.

Select - Mobile & Desktop usage

Change demo

Use the select/combobox for both mobile and desktop or set it up responsively.

The main difference between the two rendering modes is how the picker is laid out. Set the touchUi option to false and the component shows up suitable for larger screens and pointer interaction while setting it to true renders it suitable for touch screens.

Use it on an existing form field, custom input, native select or use it on Mobiscroll form fields. You can also embed it directly into your page. When linked to an input, the component will be shown on focus or when someone clicks on the field. Alternatively, you can leave the input editable and show the component only on a button click.

Handle different screen sizes by setting it up responsively  Check out the responsive demo →

Select - Responsive behavior

Change demo

The select has a liquid layout, which means it nicely adapts to its surroundings. There are times however when you would like to set up the component responsively.

Use the responsive option to configure the picker and change the options based on the viewport width. There are five predefined breakpoints:

  • xsmall - min-width: 0px
  • small - min-width: 576px
  • medium - min-width: 768px
  • large - min-width: 992px
  • xlarge - min-width: 1200px
  • use custom for setting a custom breakpoint

It is a good idea to change the display or controls option to tailor the UX. This way you can have a bottom positioned picker on mobile, a popover anchored to the input on tablet and desktop display on large screens.

Change the viewport

Select - Understanding display modes

Change demo

The select/combobox has five built-in display modes that can be controlled through the display option:

  • top - modal that slides down from the top
  • bottom - modal that slides up from the bottom
  • center - modal that shows up in the middle with a pop animation
  • anchored - modal that shows up anchored to an input or any dom element
  • inline - embeddable picker that is rendered into the markup without its own modal

Use the touchUi option to switch between touch optimized mobile rendering and pointer optimized desktop rendering. It can be dynamically switched with the help of the responsive option.

The defaults change on a theme to theme basis. The ios theme comes with bottom on mobile and anchored on desktop while the material and windows themes have center on mobile and anchored on desktop.

Want to see how to set up responsiveness?  Check out the previous example →

Select - Populating the picker

Change demo

The select component takes care of rendering data in a scrollable and consumable way for the user. The date can be passed a couple of different ways:

  • Inline HTML, embedded in the markup - This is good if you only have a couple of static options.
  • With the data option - If you want to load model data this is the way to do it. This is the way to populate the select if you want to create a custom item template.
  • Remote data - Load it through the data option from a remote api/data source.

Select - Templating

Change demo

By default the select takes the item.text and item.value of the data array items and populates the select. Besides the basic text/value interpretation you can write custom render functions for any custom markup printed as a scrollable list.

With the help of the renderItem option you can write a function that returns the custom item markup. Any data field can be used for the template. You'll also want to make sure that the itemHeight is set accordingly.

Select - Country Dropdown

Change demo

Use the select component as a country picker on mobile and desktop. You can add the dropdown to any input or use Mobiscroll input fields. If you don't want to make it a dropdown, you can embed the picker inline right into a page.

Search is enabled through the filter option.

In this example the data is loaded from a remote JSON in the following format: { "value": "FJ", "group": "F", "text": "Fiji" } and the flags are loaded from our server. For your implementation you should embed the list and flags into your own page.

For the image & text rendering use a custom item template.

Select - Image & text

Change demo

An image & text value picker can be easily implemented by building a custom item template. Pass the items with its base properties, like text and value and all the custom properties needed to the data array.

Select - Multiline select

Change demo

Sometimes, the items of the select can get very long and they won't fit a single line. For those cases you can use the custom item templating and itemHeight to solve the rendering problems.

Select - Single select

Change demo

Single value selection is the default behavior of the picker. You can explicitly enable it by setting the selectMultiple to false.

You can dynamically switch between single and multiple select.

Looking for multiple select?  Check out the next example →

Select - Multiple select

Change demo

Use it on mobile and desktop for listing different options with multiple select. It can be tied to an input, native select or rendered inline. Turn it on by setting selectMultiple to true.

As an alternative to the checkbox list it works great for category filtering... eg. e-commerce solutions.

Looking for single value selection?  Check out the previous example →

Select - Group options

Change demo

Enable group headers through the group property of the options or the optgroup of the native select.

Grouping works for both single and multiple select pickers.

Select - Filtering

Change demo

Enable filtering by setting the filter option to true. Filtering happens on the client side by default, however remote filtering can be implemented using the onFilter event.

Select - Multi level hierarchy

Change demo

Multiple selects can be linked together as a hierarchy. A region > division > subdivision is a great example of such a hierarchy where each level is dynamically populated based on the selection of the previous level.

Copy code
import { Select, setOptions  } from '@mobiscroll/react';
import { useCallback, useMemo, useState } from 'react';

setOptions({
  locale:  ,
  theme: ' ',
  themeVariant: ' '
});

function App() {
  const [divDisabled, setDivDisabled] = useState(true);
  const [subDisabled, setSubDisabled] = useState(true);
  const [divData, setDivData] = useState([]);
  const [subData, setSubData] = useState([]);

  const regions = useMemo(
    () => [
      { value: 'reg-1', text: 'Northeast' },
      { value: 'reg-2', text: 'Midwest' },
      { value: 'reg-3', text: 'South' },
      { value: 'reg-4', text: 'West' },
    ],
    [],
  );

  const divisions = useMemo(
    () => ({
      'reg-1': [
        { value: 'div-1', text: 'New England' },
        { value: 'div-2', text: 'Mid-Atlantic' },
      ],
      'reg-2': [
        { value: 'div-3', text: 'East North Central' },
        { value: 'div-4', text: 'West North Central' },
      ],
      'reg-3': [
        { value: 'div-5', text: 'South Atlantic' },
        { value: 'div-6', text: 'East South Central' },
        { value: 'div-7', text: 'West South Central' },
      ],
      'reg-4': [
        { value: 'div-8', text: 'Mountain' },
        { value: 'div-9', text: 'Pacific' },
      ],
    }),
    [],
  );

  const subdivisions = useMemo(
    () => ({
      'div-1': [
        { value: 'sub-1', text: 'Connecticut' },
        { value: 'sub-2', text: 'Maine' },
        { value: 'sub-3', text: 'Massachusetts' },
        { value: 'sub-4', text: 'New Hampshire' },
        { value: 'sub-5', text: 'Rhode Island' },
        { value: 'sub-6', text: 'Vermont' },
      ],
      'div-2': [
        { value: 'sub-7', text: 'New Jersey' },
        { value: 'sub-8', text: 'New York' },
        { value: 'sub-9', text: 'Pennsylvania' },
      ],
      'div-3': [
        { value: 'sub-10', text: 'Illinois' },
        { value: 'sub-11', text: 'Indiana' },
        { value: 'sub-12', text: 'Michigan' },
        { value: 'sub-13', text: 'Ohio' },
      ],
      'div-4': [
        { value: 'sub-14', text: 'Wisconsin' },
        { value: 'sub-15', text: 'Iowa' },
        { value: 'sub-16', text: 'Kansas' },
        { value: 'sub-17', text: 'Minnesota' },
        { value: 'sub-18', text: 'Missouri' },
        { value: 'sub-19', text: 'Nebraska' },
        { value: 'sub-20', text: 'North Dakota' },
        { value: 'sub-21', text: 'South Dakota' },
      ],
      'div-5': [
        { value: 'sub-22', text: 'Delaware' },
        { value: 'sub-23', text: 'Florida' },
        { value: 'sub-24', text: 'Georgia' },
        { value: 'sub-25', text: 'Maryland' },
        { value: 'sub-26', text: 'North Carolina' },
        { value: 'sub-27', text: 'South Carolina' },
        { value: 'sub-28', text: 'Virginia' },
        { value: 'sub-29', text: 'District of Columbia' },
        { value: 'sub-30', text: 'West Virginia' },
      ],
      'div-6': [
        { value: 'sub-31', text: 'Alabama' },
        { value: 'sub-32', text: 'Kentucky' },
        { value: 'sub-33', text: 'Mississippi' },
        { value: 'sub-34', text: 'Tennessee' },
      ],
      'div-7': [
        { value: 'sub-35', text: 'Arkansas' },
        { value: 'sub-36', text: 'Louisiana' },
        { value: 'sub-37', text: 'Oklahoma' },
        { value: 'sub-38', text: 'Texas' },
      ],
      'div-8': [
        { value: 'sub-39', text: 'Arizona' },
        { value: 'sub-40', text: 'Colorado' },
        { value: 'sub-41', text: 'Idaho' },
        { value: 'sub-42', text: 'Montana' },
        { value: 'sub-43', text: 'Nevada' },
        { value: 'sub-44', text: 'New Mexico' },
        { value: 'sub-45', text: 'Utah' },
        { value: 'sub-46', text: 'Wyoming' },
      ],
      'div-9': [
        { value: 'sub-47', text: 'Alaska' },
        { value: 'sub-48', text: 'California' },
        { value: 'sub-49', text: 'Hawaii' },
        { value: 'sub-50', text: 'Oregon' },
        { value: 'sub-51', text: 'Washington' },
      ],
    }),
    [],
  );

  const getData = useCallback(
    (region, division) => {
      let arr = [];

      if (division) {
        arr = subdivisions[division];
      } else if (region) {
        arr = divisions[region];
      } else {
        arr = regions;
      }

      return arr;
    },
    [divisions, regions, subdivisions],
  );

  const regChange = useCallback(
    (event) => {
      setDivData(getData(event.value, null));
      setDivDisabled(false);
      setSubDisabled(true);
    },
    [getData],
  );

  const divChange = useCallback(
    (event) => {
      const val = event.value;
      if (val) {
        setSubData(getData(null, event.value));
        setSubDisabled(false);
      } else {
        setSubData([]);
        setSubDisabled(true);
      }
    },
    [getData],
  );

  return (
    <div className="mbsc-grid mbsc-grid-fixed mbsc-no-padding">
      <div className="mbsc-row">
        <div className="mbsc-col-sm-12">
          <div className="mbsc-form-group-inset">
            <Select data={getData(null, null)} touchUi={false} label="Region" placeholder="Please select..." onChange={regChange} />
            <Select
              data={divData}
              touchUi={false}
              disabled={divDisabled}
              label="Division"
              placeholder="Please select..."
              onChange={divChange}
            />
            <Select data={subData} touchUi={false} disabled={subDisabled} label="Subivision" placeholder="Please select..." />
          </div>
        </div>
      </div>
    </div>
  );
}

export default App;
import { MbscSelectChangeEvent, Select, setOptions  } from '@mobiscroll/react';
import { FC, useCallback, useState } from 'react';

setOptions({
  locale:  ,
  theme: ' ',
  themeVariant: ' '
});

const regions: Array<{ value: string; text: string }> = [
  { value: 'reg-1', text: 'Northeast' },
  { value: 'reg-2', text: 'Midwest' },
  { value: 'reg-3', text: 'South' },
  { value: 'reg-4', text: 'West' },
];
const divisions: { [key: string]: Array<{ value: string; text: string }> } = {
  'reg-1': [
    { value: 'div-1', text: 'New England' },
    { value: 'div-2', text: 'Mid-Atlantic' },
  ],
  'reg-2': [
    { value: 'div-3', text: 'East North Central' },
    { value: 'div-4', text: 'West North Central' },
  ],
  'reg-3': [
    { value: 'div-5', text: 'South Atlantic' },
    { value: 'div-6', text: 'East South Central' },
    { value: 'div-7', text: 'West South Central' },
  ],
  'reg-4': [
    { value: 'div-8', text: 'Mountain' },
    { value: 'div-9', text: 'Pacific' },
  ],
};
const subdivisions: { [key: string]: Array<{ value: string; text: string }> } = {
  'div-1': [
    { value: 'sub-1', text: 'Connecticut' },
    { value: 'sub-2', text: 'Maine' },
    { value: 'sub-3', text: 'Massachusetts' },
    { value: 'sub-4', text: 'New Hampshire' },
    { value: 'sub-5', text: 'Rhode Island' },
    { value: 'sub-6', text: 'Vermont' },
  ],
  'div-2': [
    { value: 'sub-7', text: 'New Jersey' },
    { value: 'sub-8', text: 'New York' },
    { value: 'sub-9', text: 'Pennsylvania' },
  ],
  'div-3': [
    { value: 'sub-10', text: 'Illinois' },
    { value: 'sub-11', text: 'Indiana' },
    { value: 'sub-12', text: 'Michigan' },
    { value: 'sub-13', text: 'Ohio' },
  ],
  'div-4': [
    { value: 'sub-14', text: 'Wisconsin' },
    { value: 'sub-15', text: 'Iowa' },
    { value: 'sub-16', text: 'Kansas' },
    { value: 'sub-17', text: 'Minnesota' },
    { value: 'sub-18', text: 'Missouri' },
    { value: 'sub-19', text: 'Nebraska' },
    { value: 'sub-20', text: 'North Dakota' },
    { value: 'sub-21', text: 'South Dakota' },
  ],
  'div-5': [
    { value: 'sub-22', text: 'Delaware' },
    { value: 'sub-23', text: 'Florida' },
    { value: 'sub-24', text: 'Georgia' },
    { value: 'sub-25', text: 'Maryland' },
    { value: 'sub-26', text: 'North Carolina' },
    { value: 'sub-27', text: 'South Carolina' },
    { value: 'sub-28', text: 'Virginia' },
    { value: 'sub-29', text: 'District of Columbia' },
    { value: 'sub-30', text: 'West Virginia' },
  ],
  'div-6': [
    { value: 'sub-31', text: 'Alabama' },
    { value: 'sub-32', text: 'Kentucky' },
    { value: 'sub-33', text: 'Mississippi' },
    { value: 'sub-34', text: 'Tennessee' },
  ],
  'div-7': [
    { value: 'sub-35', text: 'Arkansas' },
    { value: 'sub-36', text: 'Louisiana' },
    { value: 'sub-37', text: 'Oklahoma' },
    { value: 'sub-38', text: 'Texas' },
  ],
  'div-8': [
    { value: 'sub-39', text: 'Arizona' },
    { value: 'sub-40', text: 'Colorado' },
    { value: 'sub-41', text: 'Idaho' },
    { value: 'sub-42', text: 'Montana' },
    { value: 'sub-43', text: 'Nevada' },
    { value: 'sub-44', text: 'New Mexico' },
    { value: 'sub-45', text: 'Utah' },
    { value: 'sub-46', text: 'Wyoming' },
  ],
  'div-9': [
    { value: 'sub-47', text: 'Alaska' },
    { value: 'sub-48', text: 'California' },
    { value: 'sub-49', text: 'Hawaii' },
    { value: 'sub-50', text: 'Oregon' },
    { value: 'sub-51', text: 'Washington' },
  ],
};

const App: FC = () => {
  const [divDisabled, setDivDisabled] = useState<boolean>(true);
  const [subDisabled, setSubDisabled] = useState<boolean>(true);
  const [divData, setDivData] = useState<Array<{ value: string; text: string }>>([]);
  const [subData, setSubData] = useState<Array<{ value: string; text: string }>>([]);

  const getData = useCallback((region: string | null, division: string | null) => {
    let arr = [];

    if (division) {
      arr = subdivisions[division];
    } else if (region) {
      arr = divisions[region];
    } else {
      arr = regions;
    }

    return arr;
  }, []);

  const regChange = useCallback(
    (event: MbscSelectChangeEvent) => {
      setDivData(getData(event.value, null));
      setDivDisabled(false);
      setSubDisabled(true);
    },
    [getData],
  );

  const divChange = useCallback(
    (event: MbscSelectChangeEvent) => {
      const val = event.value;
      if (val) {
        setSubData(getData(null, event.value));
        setSubDisabled(false);
      } else {
        setSubData([]);
        setSubDisabled(true);
      }
    },
    [getData],
  );

  return (
    <div className="mbsc-grid mbsc-grid-fixed mbsc-no-padding">
      <div className="mbsc-row">
        <div className="mbsc-col-sm-12">
          <div className="mbsc-form-group-inset">
            <Select data={getData(null, null)} touchUi={false} label="Region" placeholder="Please select..." onChange={regChange} />
            <Select
              data={divData}
              touchUi={false}
              disabled={divDisabled}
              label="Division"
              placeholder="Please select..."
              onChange={divChange}
            />
            <Select data={subData} touchUi={false} disabled={subDisabled} label="Subivision" placeholder="Please select..." />
          </div>
        </div>
      </div>
    </div>
  );
};
export default App;
<div id="content"></div>

Select - Setting values

Change demo

Values can change in a couple of different ways: through defaults, interacting with the UI or programmatically. The select defaults to null (nothing is selected), which can be easily overridden with the defaultSelection option. The values are set by interacting with the component and making a selection or it can be done programmatically. Use the buttons option for showing/hiding set, cancel or add custom buttons.

Select - Disabled values

Change demo

Enforcing validation is essential to a great UX. It supports the following: You can set an option to invalid through the disabled property: data: [ ... { text: 'Chicago', value: 'chi', disabled: true }]

Having invalids set up correctly not just enhances the UX, but improves performance.

Select - Theming capabilities

Change demo

The look and feel of the select can be deeply customized. There are four levels of customization:

  • Base themes: Choose between iOS, Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Select - Event hooks

Change demo

The select ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

While users interact with the UI events like onChange, onSet, onInit ... will be triggered.

For a complete list of events go to the documentation  See available lifecycle events →

Select - Localization

Change demo

All components are fully localized. In case of the select this covers button copy, rtl and more. You can see how each example shows up by clicking on the small flag icon or checking the examples below.

All settings can be manually overridden  See what options the localization impacts →

Select - RTL support

Change demo

RTL support is built in and can be explicitly controlled through the rtl option. If not set, it is inherited from the locale settings.

Explore the different locales  Check out this example →

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Get started with Mobiscroll for Angular

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for React

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for Javascript

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for Vue

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for jQuery

Give the components a try in a starter app or see how they look in your project.

Already have an account?
Get started with Mobiscroll for Angular

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for React

Give the components a try locally and see how they look in your project.

Get started with Mobiscroll for Javascript

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for jQuery

Give the components a try in a starter app or see how they look in your project.

Get started with Mobiscroll for Vue

Give the components a try locally and see how they look in your project.

Already have an account?
Simple two minute install guide for jQuery
Step 1.
Copy resources
Step 2.
Add references
Step 3.
Copy the code
Step 4.
Refresh browser
Copy the downloaded JS and CSS folder into your project

Extract the downloaded zip (download again) and grab the two folders. Make sure to place it where it can be reached from your html file.

Alternatively you can run the example using our demo app.

file-copy-arrows

Or you can just simply try and play with the examples right from the folder you just unpacked. You don't find the downloaded example? Download it again.

Include the mobiscroll CSS and JS resources in your files

Add this script before the closing </head> tag of your file. Make sure to have jQuery loaded before this.

Copy code <link href="css/mobiscroll.jquery.min.css" rel="stylesheet" />
<script src="js/mobiscroll.jquery.min.js"></script>

Make sure to have the CSS and JS files copied over as explained in Step 1.

Copy the code into your app

Grab the relevant parts and drop them into your JS, HTML and CSS files.

Copy JS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Reload your application in your favorite browser

arrow-browser-reload@2x

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide for Javascript
Step 1.
Copy resources
Step 2.
Add references
Step 3.
Copy the code
Step 4.
Refresh browser
Copy the downloaded JS and CSS folders into your project

Extract the downloaded zip (download again) and grab the two folders. Make sure to place it where it can be reached from your html file.

Alternatively you can run the example using our demo app.

file-copy-arrows

Or you can just simply try and play with the examples right from the folder you just unpacked. You don't find the downloaded example? Download it again.

Include the mobiscroll CSS and JS resources in your files

Add this script before the closing </head> tag of your file

Copy code <link href="css/mobiscroll.javascript.min.css" rel="stylesheet" />
<script src="js/mobiscroll.javascript.min.js"></script>

Make sure to have the CSS and JS files copied over as explained in Step 1.

Copy the code into your app

Grab the relevant parts and drop them into your JS, HTML and CSS files.

Copy JS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Reload your application in your favorite browser

arrow-browser-reload@2x

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your React project

Run the following command in the root folder of your React project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config react

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your JSX and CSS files.

Copy JSX
Copy TSX
Copy CSS
Take a look at what you've accomplished

Run $ npm start in the root folder of your app

Copy command $ npm start

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your Angular project

Run the following command in the root folder of your Angular project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config angular

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your Component and Template files. For quick testing copy the css to into your project's style.css or style.scss.

Copy TS
Copy HTML
Copy CSS
Take a look at what you've accomplished

Run $ ng serve in the root folder of your app

Copy command $ ng serve

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Simple two minute install guide
Step 1.
Install the CLI
Step 2.
Install Mobiscroll
Step 3.
Copy the code
Step 4.
Run the app
Install the Mobiscroll CLI from npm

You will be able to configure Mobiscroll with ease in your app with the CLI

Copy command $ npm install -g @mobiscroll/cli
Install Mobiscroll in your Vue project

Run the following command in the root folder of your Vue project.

Don't have a project? Try it with our demo app.

Copy command $ mobiscroll config vue

You will be prompted to log in with your mobiscroll account. Set your password here.

Working behind a proxy?

If you're working behind a proxy server, additional configuration might be needed. Please check the proxy configuration options in the documentation.

Using a CI/CD workflow?

The package will be installed from a private npm registry, which requires authentication. If your project uses a CI/CD workflow, read this guide on how to make it work.

Copy the code into your app

Grab the relevant parts and drop them into your Vue page.

Copy
Copy
Take a look at what you've accomplished

Run $ npm run dev in the root folder of your app

Copy command $ npm run dev

And voilà, everything should be running smoothly.

If something is not running correctly or if there is trouble

Check out these common errors and solutions or reach out and let us help you.

Keep things running smoothly

We have sent an email with verification instructions to you. Please make sure to follow the steps and verify it's you.

In case you fail to verify the account, the trial will be interrupted.

If you have any trouble

Don't hesitate to let us know.

install-help-bck
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Demos
Theme Select
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos